Hello

Thanks for this - sorry for the late reply but I have been away.

I will try these versions.

Regards

Catriona

On 10/08/07, Hermann Himmelbauer <[EMAIL PROTECTED]> wrote:
> Am Freitag, 10. August 2007 08:28 schrieb Christian Theune:
> > Hey,
> >
> > Am Freitag, den 27.07.2007, 11:18 +1000 schrieb Catriona Johnson:
> > > Hello
> > >
> > > I am a novice zope 3 user and would appreciate any help on this.
> > >
> > > I am trying to follow a few examples using zalchemy but am unable to
> > > progress beyond importing zalchemy. My python script so far contains
> > >
> > > import sqlalchemy
> > > import z3c.zalchemy
> > >
> > > and I get the following error when trying to import zalchemy
> > >
> > > AttributeError: __path__
> > >
> > > Traceback (innermost last):
> > >
> > > File "C:\Projects\TestZalchemyOracleConnection.py", line 1, in ?
> > > File "C:\Projects\TestZalchemyOracleConnection.py", line 3, in ?
> > >   import z3c.zalchemy
> > > File
> > > "C:\Python24\Lib\site-packages\z3c.zalchemy-0.2-py2.4.egg\z3c\zalchemy\__
> > >init__.py", line 15, in ?
> > >   from datamanager import (
> > > File
> > > "C:\Python24\Lib\site-packages\z3c.zalchemy-0.2-py2.4.egg\z3c\zalchemy\da
> > >tamanager.py", line 20, in ?
> > >   from zope.component import queryUtility, getUtility, getUtilitiesFor
> > > File "C:\Python24\Lib\site-packages\zope\component\__init__.py", line 24,
> > > in ? from zope.component.interfaces import IComponentArchitecture
> > > File
> > > "C:\Python24\Lib\site-packages\zope\deferredimport\deferredmodule.py",
> > > line 71, in __getattr__
> > >   raise AttributeError, name
> > >
> > >
> > > I am running  this in the Wing IDE on Windows XP with Python 2.4, Zope
> > > 3.3, SQLalchemy 0.3.8 and zalchemy 0.2
> >
> > Zope 3.3 might be too old in the sense that zalchemy probably depends on
> > some other packages (via egg dependencies) that are not satisfied in
> > Zope 3.3 yet.
>
> I successfully used z3c.zalchemy with Zope-3.3.1, although I'd recommend to
> use Zope-3.4.0b1 as other packages (e.g. z3c.form) work better with the newer
> Zope version.
>
> However, if you use the SVN-version, use revision 77230, as the last revision
> seems to be buggy (at least for me).
>
> Regards,
> Hermann
>
> --
> [EMAIL PROTECTED]
> GPG key ID: 299893C7 (on keyservers)
> FP: 0124 2584 8809 EF2A DBF9  4902 64B4 D16B 2998 93C7
>
_______________________________________________
Zope3-users mailing list
Zope3-users@zope.org
http://mail.zope.org/mailman/listinfo/zope3-users

Reply via email to